The BOOST_PP_TUPLE_REPLACE_D macro replaces an element in a tuple. It reenters BOOST_PP_WHILE with maximum efficiency.

#### Usage

BOOST_PP_TUPLE_REPLACE_D(d, tuple, i, elem) (v)

#### Arguments

d
  The next available BOOST_PP_WHILE iteration.
tuple
  A tuple to replace an element in.
i
  The zero-based position in tuple of the element to be replaced. Valid values range from 0 to BOOST_PP_TUPLE_SIZE(tuple) - 1.
elem
  The replacement element.

#### See Also

- BOOST_PP_TUPLE_REPLACE

#### Requirements

Header: <boost/preprocessor/tuple/replace.hpp>

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)